//---------------------------------------------------------------------------

#include <fmx.h>
#pragma hdrstop

#include "uMainForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.fmx"
TMainForm *MainForm;
//---------------------------------------------------------------------------
__fastcall TMainForm::TMainForm(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------

const float THRESHOLD = 1.5;

String TMainForm::GetWaveFileName()
{
  return (GetHomePath() + PathDelim + "Documents" + PathDelim + "glass.mp3");
}

String TMainForm::GetBrokenImage()
{
  return (GetHomePath() + PathDelim + "Documents" + PathDelim + "homebroken.png");
}

String TMainForm::GetNormalImage()
{
  return (GetHomePath() + PathDelim + "Documents" + PathDelim + "home.png");
}

String TMainForm::GetImageFile()
{
  String sResult = GetBrokenImage();
  if (Image1->TagString == sResult)
	sResult = GetNormalImage();
  Image1->TagString = sResult;

  return sResult;
}

bool TMainForm::DoseItShakeQ()
{
  return ( ( abs(MotionSensor1->Sensor->AccelerationX) > THRESHOLD) ||
			  ( abs(MotionSensor1->Sensor->AccelerationY) > THRESHOLD) ||
			  ( abs(MotionSensor1->Sensor->AccelerationZ) > THRESHOLD) );
}
void __fastcall TMainForm::FormActivate(TObject *Sender)
{
  Image1->TagString = GetNormalImage();
  MediaPlayer1->FileName = GetWaveFileName();
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::MotionSensor1DataChanged(TObject *Sender)
{
  if (DoseItShakeQ())
  {
	Image1->Bitmap->LoadFromFile(GetImageFile());
	if (Image1->TagString == GetBrokenImage())
	{
	  MediaPlayer1->CurrentTime = 0;
	  MediaPlayer1->Play();
	}
  }
}
//---------------------------------------------------------------------------

