//---------------------------------------------------------------------------

#include <fmx.h>
#include "System.SysUtils.hpp"
#include <vector>
#include <list>
#include <string>
#include <iostream>
using namespace std;

#pragma hdrstop

#include "uMainForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.fmx"
TForm3 *Form3;
//---------------------------------------------------------------------------
__fastcall TForm3::TForm3(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm3::Button1Click(TObject *Sender)
{
  auto l = [] (const int iIndex) -> String {
	String sResult = "";
	switch (iIndex)
	{
	  case 0 : sResult = "x_";
	  case 1 : sResult = "x";
	  case 2 : sResult = "";
	  case 3 : sResult = "s";
	}

	return sResult;
  };

  ListView1->Items->Clear();
  for (int i = 0; i < 4; i++)
  {
	TListViewItem *plvi = ListView1->Items->Add();
	plvi->Text = l(i);
  }

}
//---------------------------------------------------------------------------
void __fastcall TForm3::Button2Click(TObject *Sender)
{
	list<char> coll;


	ListView1->Items->Clear();
	for (char c = 'a'; c <= 'z'; ++c)
	{
		coll.push_back(c);
	}
	for (auto elem : coll)
	{
		TListViewItem *plvi = ListView1->Items->Add();
		plvi->Text = elem;
	}
}
//---------------------------------------------------------------------------

void __fastcall TForm3::Button3Click(TObject *Sender)
{
  vector<int> coll;

	for (int iCount = 0; iCount < 10; iCount++)
	{
	  coll.push_back(rand());
    }
	MeanValue mv = for_each (coll.begin(), coll.end(), MeanValue());
	TListViewItem *plvi = ListView1->Items->Add();
	ListView1->Items->Clear();
	plvi->Text = FloatToStr( mv.value() );
}
//---------------------------------------------------------------------------

