//---------------------------------------------------------------------------

#ifndef uMainFormH
#define uMainFormH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <FMX.Controls.hpp>
#include <FMX.Forms.hpp>
#include <FMX.Objects.hpp>
#include <FMX.Sensors.hpp>
#include <FMX.Types.hpp>
#include <System.Sensors.hpp>
#include <FMX.Media.hpp>
#include <System.SysUtils.hpp>
#include <System.IOUtils.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
	TImage *Image1;
	TMotionSensor *MotionSensor1;
	TMediaPlayer *MediaPlayer1;
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall MotionSensor1DataChanged(TObject *Sender);
private:	// User declarations
	String GetWaveFileName();
	String GetBrokenImage();
	String GetNormalImage();
	String GetImageFile();
	bool DoseItShakeQ();
public:		// User declarations
	__fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
